indexing
	description: "Test of `receive_salary' in `EMPLOYEE'"
	author: "Peter Brandt and Martin Geisler"
	date: "$Date: 2005-06-25 13:01:32 +0200 (Sat, 25 Jun 2005) $"
	revision: "$Revision: 93 $"

class
	EMPLOYEE_RECEIVE_SALARY_TC

inherit
	TEST_CASE

feature -- Basic operations

	execute_test is
			-- Test `receive_salary' in `EMPLOYEE'
		local
			account: ACCOUNT
			employee: EMPLOYEE
		do
			create account.make (0)
			create employee.make (account, "John Doe", 30)
			
			-- Test with big salary
			employee.receive_salary (10000)
			-- Test with small salary
			employee.receive_salary (100)
		end
		
end -- class EMPLOYEE_RECEIVE_SALARY_TC
