indexing
	description: "Demonstration of the Object Spyglass on a fancy object"
	author: "Peter Brandt and Martin Geisler"
	date: "$Date: 2005-06-23 17:56:56 +0200 (Thu, 23 Jun 2005) $"
	revision: "$Revision: 90 $"

class
	SPYGLASS_DEMO

inherit
	EV_TITLED_WINDOW
		redefine
			initialize
		end

create
	make

feature {NONE} -- Initialization

	make is
			-- Initialize interesting values for the spyglass and create window
		do
			create application
			default_create
		end

	initialize is
			-- Initialize `Current'.
		local
			foo: ARRAY [INTEGER]
			bar: LIST [STRING]
			tree: EV_TREE
		do
			Precursor

			create foo.make(1, 3)
			foo.put (10, 1)
			foo.put (20, 2)
			foo.put (30, 3)
			
			create {ARRAYED_LIST [STRING]} bar.make (0)
			bar.extend ("This")
			bar.extend ("is")
			bar.extend ("a")
			bar.extend ("test")
			
			create spyglass.make("fancy object", [Current, foo, bar, ["xxx", 123, True]])

			create tree
			tree.extend (spyglass)	
			put (tree)

			close_request_actions.extend (agent application.destroy)
			
			set_width (400)
			set_height (300)
			show
			
			application.launch
		end

	spyglass: SPYGLASS_TREE_ITEM

	application: EV_APPLICATION

end -- class SPYGLASS_DEMO
